<?php

// include libraries
set_include_path(implode(PATH_SEPARATOR, array(
    dirname(__FILE__) . '/library',
    get_include_path(),
)));

require(dirname(__FILE__).'/library/Zend/Pdf.php');
require(dirname(__FILE__).'/library/My/Pdf.php');


$pdf = new My_Pdf();

// create a new page
$pdfPage = new Zend_Pdf_Page(Zend_Pdf_Page::SIZE_A4);

$font = Zend_Pdf_Font::fontWithName(Zend_Pdf_Font::FONT_TIMES);
$pdfPage->setFont($font, 14);
$pdfPage->drawText('Hello World!', 50, 780);

// add the page to the document
$pdf->pages[0] = $pdfPage;

// embed js code
$pdf->setEmbeddedJS('this.print(true)');


// render the document
header("Content-Type: application/pdf");
header("Content-Disposition: attachment; filename=test.pdf");

echo $pdf->render();
exit;
